/**
 * FilmsDirectoryController.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('controllers/films/directory/filmsdirectorycontroller',
		['app',
		 'ember',
		 'models/film/film'],
		 function(Filmeet){
	console.log('Defining FilmsDirectoryController');
	Filmeet.FilmsDirectoryController = Ember.ArrayController.extend({
		// Properties
		searchText: null,
		notGotIt: false,
		// Functions
		/** Goes to the new film creation screen */
		goToNewFilm: function(){
			this.transitionToRoute('films.new');
		},
		/** Goes to the selected film details screen */
		goToFilm: function(selectedFilm){
			this.transitionToRoute('films.oneDetails', selectedFilm.get('sid'));
		},
		searchFilm: function(){
			var searchedText = this.get('searchText');
			var checkedNotGotIt = this.get('notGotIt');
			this.set('content', Filmeet.Film.search(searchedText, checkedNotGotIt));
		}.observes('searchText', 'notGotIt')
	});
});