/**
 * FriendsDirectoryController.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('controllers/friends/directory/friendsdirectorycontroller',
		['app',
		 'shared/urlcatalog',
		 'shared/keys',
		 'ember'],
		 function(Filmeet, UrlCatalog, Keys){
	console.log('Defining FriendsDirectoryController');
	Filmeet.FriendsDirectoryController = Ember.ArrayController.extend({
		// Functions
		/** Goes to the finder screen */
		goFinderScreen: function(){
			this.transitionToRoute('friends.finder');
		},
		/** Modifies a friend */
		friendStatus: function(friend){
			var updatedBlockedFriendStatus = true;
			var friendUsername = friend.get('username');
			
			if(friend.get('blocked')){
				updatedBlockedFriendStatus = false;
			}
			$.ajax({
				type: 'POST',
				cache: false,
				url: UrlCatalog.get('blockFriend'),
				data: {'userLogged': localStorage.getItem(Keys.username), 'userSid2': friendUsername, 'block': updatedBlockedFriendStatus,'hash': localStorage.getItem(Keys.authorizationHash)},
				success: function(){
					friend.set('blocked', updatedBlockedFriendStatus);
				}
			});	
		}		
	});
});