/**
 * OneMeetingDetailsController.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('controllers/meetings/details/onemeetingdetailscontroller',
		['app',
		 'nls/i18nhelper',
		 'shared/keys',
		 'ember',
		 'models/meeting/meeting',
		 'models/member/member',
		 'models/candidate/candidate'],
		 function(Filmeet, I18nHelper, Keys){
	console.log('Defining OneMeetingDetailsController');
	Filmeet.OneMeetingDetailsController = Ember.ObjectController.extend({
		meMember: null,
		filmList: [],
		membersList: [],
		fillLists: function(){
			if(this.get('content') && this.get('content').get('sid') != null){
				this.set('membersList', Filmeet.Member.getAllFromMeeting(this.get('content').get('sid')));
				this.set('filmList', Filmeet.Candidate.getRankingFromMeeting(this.get('content').get('sid')));
			}
		}.observes('content.sid'),
		fillMeMember: function(){
			var membersList = this.get('membersList');
			this.set('meMember', membersList.filterProperty('userSid', localStorage.getItem(Keys.username))[0]);
			if(this.get('meMember') != null){
				if(!this.get('meMember').get('voted')){
					$('#voteButton').button();
				}
			}
		}.observes('membersList.@each.userSid'),
		goToVote: function(){
			this.transitionToRoute('oneMeeting.vote', this.get('content').get('sid'));
		},
		meetingSelectedFiltersText: function(){
			var isInCinema = this.get('content').get('inCinema');
			var isNotSeen = this.get('content').get('notSeen');
			
			var someoneGotIt = false;
			var membersList = this.get('membersList');
			var memberGotItNamesList = [];
			
			if(membersList.length){
				for(var i=0; i < membersList.length; i++){
					if(membersList[i].get('gotIt')){
						memberGotItNamesList.push(membersList[i].get('userSid'));
						someoneGotIt = true
					}
				}
			}
			
			var text = I18nHelper.getValueFromKey('notVotedYet');
						
			if(isInCinema){
				text = text +' '+'<span class="bold">'+I18nHelper.getValueFromKey('itsInCinema')+'</span>';
				if(isNotSeen && someoneGotIt){
					text = text + ', ';
				} else if (isNotSeen || someoneGotIt){
					text = text + ' '+I18nHelper.getValueFromKey('and')+' ';
				}
			}
			
			if(isNotSeen){
				text = text +' '+'<span class="bold">'+I18nHelper.getValueFromKey('youHaventSeen')+'</span>';
				if(someoneGotIt){
					text = text + ' '+I18nHelper.getValueFromKey('and')+' ';
				}
			}
			
			if(someoneGotIt){
				if(memberGotItNamesList.length > 1){
					text = text +' '+'<span class="bold">'+I18nHelper.getValueFromKey('have') +' ';
				} else {
					text = text +' '+'<span class="bold">'+I18nHelper.getValueFromKey('has') +' ';
				}
				for(var i=0; i < memberGotItNamesList.length; i++){
					if(i != (memberGotItNamesList.length-1)){
						if(i != (memberGotItNamesList.length-2)){
							text = text + memberGotItNamesList[i] +', ';
						} else {
							text = text + memberGotItNamesList[i];
						}
					} else {
						if(memberGotItNamesList.length > 1){
							text = text+' '+I18nHelper.getValueFromKey('and')+' '+memberGotItNamesList[i]+'</span>';
						} else {
							text = text+' '+memberGotItNamesList[i]+'</span>';
						}							
					}
				}
			}
			
			return new Handlebars.SafeString(text);
		}.property('content.inCinema', 'content.notSeen','membersList.@each.gotIt')
	});
});