/**
 * NotificationsController.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('controllers/notifications/notificationscontroller',
		['app',
		 'ember',
		 'models/notification/notification'],
		 function(Filmeet){
	console.log('Defining NotificationsController');
	Filmeet.AppNotificationsController = Ember.ArrayController.extend({
		needs: 'app',
		goToFromNotification: function(notification){
			if(notification.get('meetingSid') != null){
				// Meeting notification
				this.transitionToRoute('oneMeeting.details', notification.get('meetingSid'));
			} else {
				// Friendship notification
				this.transitionToRoute('friends.directory');
			}
			// Mark as seen
			if(!notification.get('seen')){
				notification.markAsSeen();
			}
		},
		checkWhenSeen: function(){
			this.get('controllers.app').checkNewNotifications();
		}.observes('content.@each.seen')
	});
});