/**
 * Member data model.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('models/member/member',
		['app',
		 'shared/urlcatalog',
		 'shared/keys',
		 'ember'],
		 function(Filmeet, UrlCatalog, Keys){
	/*
	 * Creating Filmeet.Member class based on Ember.Object
	 */
	Filmeet.Member = Ember.Object.extend({
		/** Meeting sid */
		meetingSid: null,
		/** User sid */
		userSid: null,
		/** Indicates if the user has to have the film */
		gotIt: false,
		/** Indicates if the user has voted */
		voted: false
	});
	/*
	 * Reopening class for coding static properties and functions
	 */
	Filmeet.Member.reopenClass({
		getAllFromMeeting: function(meetingSid){
			var membersList = [];
			
			$.ajax({
				type: 'GET',
				cache: false,
				url: UrlCatalog.get('getAllFromMeeting'),
				data: {'meetingSid': meetingSid, 'hash': localStorage.getItem(Keys.authorizationHash)},
				dataType:'json',
				success: function(data){
					data.forEach(function(member){
						membersList.addObject(Filmeet.Member.create({
							userSid: member.userSid,
							gotIt: member.gotIt,
							voted: member.voted
						}));
					});
				}
			});
			
			return membersList;
		}
	});
});