/**
 * RequireJS configuration and application router.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
// Defining libraries
defineLibrariesFrom(productionPaths);
// Defining router
require(['app',
         'routes/startroute',
         'routes/approute',
         'routes/login/loginroute',
         'routes/register/registerroute',
         'routes/home/homeroute',
         'routes/profile/profileroute',
         'routes/meetings/meetingsroute',
         'routes/meetings/meetingsindexroute',
         'routes/meetings/meetingsnewsteponeroute',
         'routes/meetings/meetingsnewsteptworoute',
         'routes/meetings/onemeetingroute',
         'routes/meetings/onemeetingvoteroute',
         'routes/meetings/onemeetingdetailsroute',
         'routes/films/filmsroute',
         'routes/films/filmsdirectoryroute',
         'routes/films/filmsonedetailsroute',
         'routes/films/filmsnewroute',
         'routes/notifications/notificationsroute',
         'routes/friends/friendsroute',
         'routes/friends/friendsdirectoryroute',
         'routes/friends/friendsfinderroute',
         'routes/configuration/configurationroute'
         ], function(Filmeet){
	Filmeet.Router.map(function(){
		console.log('Defining router');
		this.route('start', {path:'/'});
		this.route('login', {path:'/login'});
		this.route('register', {path:'/register'});
		this.resource('app', {path:'/app'}, function(){
			this.route('home',{path:'/'});
			this.route('profile',{path:'/profile/:username'});
			this.resource('meetings',{path:'/meetings'}, function(){
				this.route('index',{path:'/'});
				this.route('newStepOne',{path:'/newstepone'});
				this.route('newStepTwo',{path:'/newsteptwo/:newMeetingName'});
				this.resource('oneMeeting',{path:'/:meetingSid'}, function(){
					this.route('details',{path:'/'})
					this.route('vote',{path:'/vote'});
				})
			});
			this.resource('films',{path:'/films'}, function(){
				this.route('directory',{path:'/'});
				this.route('oneDetails', {path:'/:filmSid'});
				this.route('new',{path:'/new'});
			});
			this.route('notifications',{path:'/notifications'});
			this.resource('friends',{path:'/friends'}, function(){
				this.route('directory',{path:'/'});
				this.route('finder',{path:'/finder'})
			});
			this.route('configuration', {path: '/configuration'});
		});
	});
});