/**
 * MeetingsNewStepOneRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/meetings/meetingsnewsteponeroute',
		['app',
		 'utils/timeutils',
		 'utils/transitionutils',
		 'ember',
		 'views/meetings/newstepone/meetingsnewsteponeview',
		 'controllers/meetings/newstepone/meetingsnewsteponecontroller',
		 'models/meeting/meeting'],
		 function(Filmeet, TimeUtils, TransitionUtils){
	Filmeet.MeetingsNewStepOneRoute = Ember.Route.extend({
		activate: function(){
			TransitionUtils.setContext(this);
			document.addEventListener('backbutton', TransitionUtils.goHome, false);
		},
		deactivate: function(){
			TransitionUtils.setContext(this);
			document.removeEventListener('backbutton', TransitionUtils.goHome);
		},
		setupController: function(controller, model){
			controller.set('name', null);
			controller.set('day', TimeUtils.getDays());
			controller.set('selectedDay', TimeUtils.getNowDay());
			controller.set('month', TimeUtils.getMonths());
			controller.set('selectedMonth', TimeUtils.getNowMonth());
			controller.set('year', TimeUtils.getYears());
			controller.set('selectedYear', TimeUtils.getNowYear());
			controller.set('hour', TimeUtils.getHours());
			controller.set('selectedHour', TimeUtils.getNowHour());
			controller.set('minutes', TimeUtils.getMinutes());
			controller.set('selectedMinutes', TimeUtils.getNowMinute());
			controller.set('numCandidates', null);
			controller.set('checkedInCinema', false);
			controller.set('checkedNotSeen', false);
		}
	});
});