/**
 * OneMeetingDetailsRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/meetings/onemeetingdetailsroute',
		['app',
		 'utils/transitionutils',
		 'ember',
		 'views/meetings/details/onemeetingdetailsview',
		 'controllers/meetings/details/onemeetingdetailscontroller'],
		 function(Filmeet, TransitionUtils){
	Filmeet.OneMeetingDetailsRoute = Ember.Route.extend({
		activate: function(){
			TransitionUtils.setContext(this);
			TransitionUtils.setRouteName('meetings.index');
			document.addEventListener('backbutton', TransitionUtils.go, false);
		},
		deactivate: function(){
			TransitionUtils.setContext(this);
			TransitionUtils.setRouteName('meetings.index');
			document.removeEventListener('backbutton', TransitionUtils.go);
		},
		serialize: function(context){
			return {
				meetingSid: context
			};
		},
		model: function(params){
			return params.meetingSid;
		},
		setupController: function(controller, model){
			controller.set('content', this.controllerFor('oneMeeting').get('content'));
		}
	});
});