/**
 * Start Route. Redirects to Login screen if the user hasn't logged before. In
 * other case, redirects it to the Home screen.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('routes/startroute',
		['app',
		 'shared/keys',
		 'shared/urlcatalog',
		 'ember'],
		 function(Filmeet, Keys, UrlCatalog){
	Filmeet.StartRoute = Ember.Route.extend({
		redirect: function(){
			var self = this;
			var authorizationHash = localStorage.getItem(Keys.authorizationHash);
			if(authorizationHash){
				$.ajax({
					type: 'POST',
					url: UrlCatalog.get('checkLoginLocalStorage'),
					cache: false,
					data: {'hash': authorizationHash},
					success: function(data){
						console.log('Login from localStorage succeded :-)');
						self.transitionTo('app.home');
					},
					error: function(jqXHR, textStatus, errorThrown){
						console.log('Login from localStorage failed :-(');
						console.log('Error');
						console.log(JSON.stringify(jqXHR));
						console.log(textStatus);
						console.log(errorThrown);
						localStorage.removeItem(Keys.authorizationHash);
						self.transitionTo('login');
					}
				});
			} else {
				self.transitionTo('login');
			}
		}
	});
});