/**
 * Utilities for transitioning between screens
 * when you want to do it in a Javascript event.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('utils/transitionutils',
		['utils/validationutils',
		 'cordova'],
		function(ValidationUtils){
	
	var _context = null;
	var _routeName = null;
	
	return {
		setContext: function(routeContext){
			_context = routeContext;
		},
		setRouteName: function(routeName){
			_routeName = routeName;
		},
		goHome: function(){
			try{
				if(_context && _context != null){
					_context.transitionTo('app.home');
				} else {
					throw 'Context has not been set.';
				}
			} catch (e) {
				alert(e);
			}
		},
		go: function(){
			try{
				if(_context && _context != null){
					if(!ValidationUtils.isEmptyOrNullString(_routeName)){
						_context.transitionTo(_routeName);
					} else {
						throw 'Route name has not been set.';
					}
				} else {
					throw 'Context has not been set.';
				}
			} catch (e) {
				alert(e);
			}
		}
	}
});